# eric5.Plugins.CheckerPlugins.SyntaxChecker.jsCheckSyntax

Module implementing the syntax check for Python 2/3.

### Global Attributes

None

### Classes

None

### Functions

initService | Initialize the service and return the entry point.
jsCheckSyntax | Function to check a Javascript source file for syntax errors.
normalizeCode | Function to normalize the given code.

## initService

initService()

Initialize the service and return the entry point.

Returns:
  the entry point for the background client (function)

Up

## jsCheckSyntax

jsCheckSyntax(file, codestring)

Function to check a Javascript source file for syntax errors.

file
  source filename (string)
codestring
  string containing the code to check (string)

Returns:
  dictionary with the keys 'error' and 'warnings' which hold a list containing details about the error/ warnings (file name, line number, column, codestring (only at syntax errors), the message, a list with arguments for the message)

Up

## normalizeCode

normalizeCode(codestring)

Function to normalize the given code.

codestring
  code to be normalized (string)

Returns:
  normalized code (string)

Up